Xerces-C++: XSMultiValueFacet Class Reference

# XSMultiValueFacet Class Reference

Inheritance diagram for XSMultiValueFacet:

List of all members.

## Public Member Functions
Constructors
| XSMultiValueFacet (XSSimpleTypeDefinition::FACET facetKind, StringList *lexicalValues, bool isFixed, XSAnnotation *const headAnnot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSMultiValueFacet ()
XSMultiValueFacet methods
XSSimpleTypeDefinition::FACET | getFacetKind () const
StringList * | getLexicalFacetValues ()
bool | isFixed () const
| Check whether a facet value is fixed.
XSAnnotationList * | getAnnotations ()
## Protected Attributes
XSSimpleTypeDefinition::FACET | fFacetKind
bool | fIsFixed
StringList * | fLexicalValues
XSAnnotationList * | fXSAnnotationList

## Constructor & Destructor Documentation

XSMultiValueFacet::XSMultiValueFacet | ( | XSSimpleTypeDefinition::FACET | facetKind,
|  | StringList * | lexicalValues,
|  | bool | isFixed,
|  | XSAnnotation *const | headAnnot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

The default constructor.

Parameters:

  | facetKind |
  | lexicalValues |
  | isFixed |
  | headAnnot |
  | xsModel |
  | manager | The configurable memory manager

XSMultiValueFacet::~XSMultiValueFacet | ( |  | ) |

## Member Function Documentation

XSSimpleTypeDefinition::FACET XSMultiValueFacet::getFacetKind | ( |  | ) | const

Returns:
  An indication as to the facet's type; see `XSSimpleTypeDefinition::FACET`

References fFacetKind.

StringList * XSMultiValueFacet::getLexicalFacetValues | ( |  | ) |

Returns:
  Returns the values of a constraining facet.

References fLexicalValues.

bool XSMultiValueFacet::isFixed | ( |  | ) | const

Check whether a facet value is fixed.

References fIsFixed.

XSAnnotationList * XSMultiValueFacet::getAnnotations | ( |  | ) |

Returns:
  the annotations belonging to this facet's values

References fXSAnnotationList.

## Member Data Documentation

XSSimpleTypeDefinition::FACET XSMultiValueFacet::fFacetKind`[protected]`

Referenced by getFacetKind().

bool XSMultiValueFacet::fIsFixed`[protected]`

Referenced by isFixed().

StringList* XSMultiValueFacet::fLexicalValues`[protected]`

Referenced by getLexicalFacetValues().

XSAnnotationList* XSMultiValueFacet::fXSAnnotationList`[protected]`

Referenced by getAnnotations().

The documentation for this class was generated from the following file:

- XSMultiValueFacet.hpp